{{
  config(
    materialized='fastship_delta',
    schema= 'stg'
  )
}}

SELECT orders.ORDER_COD AS ORDER_CD, orders.ORDER_PRIORITY AS ORDER_PRIORITY_DS, orders.ORDER_DATE, orders.SHIP_DATE, orders.SHIP_MODE AS SHIPMENT_MODE_DS,
       orders.CLIENT_COD AS CLIENT_CD, orders.CLIENT_NAME AS CLIENT_DS, orders.CLIENT_ADDRESS_COD, orders.CLIENT_STATE, orders.CLIENT_COUNTRY,
       orders.CLIENT_POSTAL_CODE, orders.CLIENT_SEGMENT, orders.SHIPMENT_ADDRESS_COD, orders.SHIPMENT_STATE, orders.SHIPMENT_COUNTRY, orders.SHIPMENT_POSTAL_CODE,
       orders.MARKET, orders.REGION, orders.PRODUCT_COD AS PRODUCT_CD, orders.CATEGORY AS CATEGORY_DS, orders.SUB_CATEGORY AS SUBCATEGORY_DS,
       orders.PRODUCT_NAME AS PRODUCT_DS, orders.QUANTITY AS SALES_QT, orders.UNIT_COST, orders.DISCOUNT AS DISCOUNT_VL, orders.SHIPPING_COST AS SHIPPING_COST_VL,
       orders.UPDATE_DATE
FROM csv.orders
